Subject: Re: lojban as a programming language [was Re: [lojban] Lojban for lay programmers]

From: Invent Yourself <[email-masked]>
Date: Thu, 24 Jan 2002 17:40:43 -0500 (EST)

On Thu, 24 Jan 2002, Lee Daniel Crocker wrote:

> > > I find it hard to imagine many of my non-computer friends wanting to
> > > learn Scheme, Guile, or Python.
> > >
> > > (It is also hard to imagine them wanting to learn Lojban, but it
> > > seems less hard, since it is a full language and they would have more
> > > motivations to learn it than merely dealing with their computers,
> > > which they hate anyhow.)
> >
> > Sell it to them as a language of artistic expression and poetry.
>
> No! No!
>
> Lojban, like any language--like any tool--is designed for a
> specific range of uses. While it is often handy that tools can
> be used for other things (like prying open cans with a screwdriver),
> the results are always best when you use the right too for the job.
> It gets the job done faster and cleaner, and doesn't mess up the
> tool.
>
> Sure, one could probably stretch lojban into "artistic" uses, but
> doing so would produce bad art and risk weakening the language for
> its designed use: clarity.

Response 1: But is it Art? So you think art opposes clarity. But one
doesn't have to consider art that way. Mathematicians & theoretical
scientists pursue their craft for aesthetic reasons. They could be
considered artists. There, the passion and emotion is created by clarity
and absoluteness, not opposed to it.

Response 2: A Language, if you can keep it.
Lojban is a tool which has, until now, been dominated by people of a
certain mindset. You'll notice there are large areas of the language which
have barely been touched. This means there are many unexplored potentials.
That won't happen if we keep importing the same old sci-fi geeks.

-- 
The tao that can be tar(1)ed
is not the entire Tao.
The path that can be specified
is not the Full Path.